| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.ScalarFunctionScriptControl Class Reference

Control for definition of scalar functions by user defined expressions (through script loader). More...

Inheritance diagram for IG.Forms.ScalarFunctionScriptControl:
[legend]
Collaboration diagram for IG.Forms.ScalarFunctionScriptControl:
[legend]

## Public Member Functions
| ScalarFunctionScriptControl ()
void | DataToFunctionLoader ()
| Copies data of the form to function loader. More...
void | ResetFunctionDefinition ()
| Resets function definition to simply "0". Gradients are redefined accordingly. More...

## Protected Member Functions
void | CreateScalarFunction ()
| Creates scalar function according to user data by the function loader. More...
string | GetFunctionSignature ()
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
string | _functionName
string[] | _parameterNames
string | _valueDefinition
bool | _isGradientDefined = false
string[] | _gradientDefinitions

## Properties
ScalarFunctionLoader | FunctionLoader`[get, protected set]`
| Scalar function loader that is responsible for creation of scalar function objects from data. More...
LoadableScalarFunctionBase | Function`[get]`
bool | IsLoaderConsistent`[get, protected set]`
string | FunctionName`[get, set]`
int | Dimension`[get, set]`
| Gets or sets function dimension. More...
string[] | ParameterNames`[get, set]`
| Names of function parameters. More...
string | ValueDefinition`[get, set]`
| String that defines function value. More...
bool | IsGradientDefined`[get, set]`
string[] | GradientDefinitions`[get, set]`
| String that defines function value. More...

## Private Member Functions
void | btnCreateFunction_Click (object sender, EventArgs e)
void | btnValueCalculator_Click (object sender, EventArgs e)
void | btnSummary_Click (object sender, EventArgs e)
void | txtParameterNames_Validated (object sender, EventArgs e)
void | txtName_Validated (object sender, EventArgs e)
void | numDimension_Validated (object sender, EventArgs e)
void | txtValue_Validated (object sender, EventArgs e)
void | txtGradients_Validated (object sender, EventArgs e)
void | chkGradients_CheckedChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
ScalarFunctionLoader | _functionLoader
bool | _isLoaderConsistent = false
Color | _bgDefined = Color.White
Color | _bgUndefined = Color.LightGray
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Label | lblTitle
System.Windows.Forms.Label | lblDimension
System.Windows.Forms.Label | lblName
System.Windows.Forms.TextBox | txtName
System.Windows.Forms.NumericUpDown | numDimension
System.Windows.Forms.Panel | pnlOuter
System.Windows.Forms.TextBox | txtValue
System.Windows.Forms.Label | lblValue
System.Windows.Forms.TextBox | txtParameterNames
System.Windows.Forms.Label | lblParameterNames
System.Windows.Forms.CheckBox | chkGradients
System.Windows.Forms.Button | btnValueCalculator
System.Windows.Forms.Button | btnCreateFunction
System.Windows.Forms.TextBox | txtGradients
System.Windows.Forms.Label | label1
System.Windows.Forms.TextBox | txtFunctionSignature
System.Windows.Forms.Button | btnSummary

## Detailed Description

Control for definition of scalar functions by user defined expressions (through script loader).

$A Igor Jun14;

## Constructor & Destructor Documentation

IG.Forms.ScalarFunctionScriptControl.ScalarFunctionScriptControl | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.ScalarFunctionScriptControl.DataToFunctionLoader | ( |  | ) |
| inline

Copies data of the form to function loader.

void IG.Forms.ScalarFunctionScriptControl.CreateScalarFunction | ( |  | ) |
| inline protected

Creates scalar function according to user data by the function loader.

string IG.Forms.ScalarFunctionScriptControl.GetFunctionSignature | ( |  | ) |
| inline protected

References IG.Lib.UtilStr.GetParametersStringPlain().

void IG.Forms.ScalarFunctionScriptControl.ResetFunctionDefinition | ( |  | ) |
| inline

Resets function definition to simply "0". Gradients are redefined accordingly.

void IG.Forms.ScalarFunctionScriptControl.btnCreateFunction_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionScriptControl.btnValueCalculator_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionScriptControl.btnSummary_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Lib.UtilStr.GetParametersStringPlain().

void IG.Forms.ScalarFunctionScriptControl.txtParameterNames_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Lib.UtilStr.GetParametersArrayPlain().

void IG.Forms.ScalarFunctionScriptControl.txtName_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionScriptControl.numDimension_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionScriptControl.txtValue_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionScriptControl.txtGradients_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionScriptControl.chkGradients_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.ScalarFunctionScriptControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.ScalarFunctionScriptControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

ScalarFunctionLoader IG.Forms.ScalarFunctionScriptControl._functionLoader
| private

bool IG.Forms.ScalarFunctionScriptControl._isLoaderConsistent = false
| private

string IG.Forms.ScalarFunctionScriptControl._functionName
| protected

string [] IG.Forms.ScalarFunctionScriptControl._parameterNames
| protected

string IG.Forms.ScalarFunctionScriptControl._valueDefinition
| protected

bool IG.Forms.ScalarFunctionScriptControl._isGradientDefined = false
| protected

Color IG.Forms.ScalarFunctionScriptControl._bgDefined = Color.White
| private

Color IG.Forms.ScalarFunctionScriptControl._bgUndefined = Color.LightGray
| private

string [] IG.Forms.ScalarFunctionScriptControl._gradientDefinitions
| protected

System.ComponentModel.IContainer IG.Forms.ScalarFunctionScriptControl.components = null
| private

Required designer variable.

System.Windows.Forms.Label IG.Forms.ScalarFunctionScriptControl.lblTitle
| private

System.Windows.Forms.Label IG.Forms.ScalarFunctionScriptControl.lblDimension
| private

System.Windows.Forms.Label IG.Forms.ScalarFunctionScriptControl.lblName
| private

System.Windows.Forms.TextBox IG.Forms.ScalarFunctionScriptControl.txtName
| private

System.Windows.Forms.NumericUpDown IG.Forms.ScalarFunctionScriptControl.numDimension
| private

System.Windows.Forms.Panel IG.Forms.ScalarFunctionScriptControl.pnlOuter
| private

System.Windows.Forms.TextBox IG.Forms.ScalarFunctionScriptControl.txtValue
| private

System.Windows.Forms.Label IG.Forms.ScalarFunctionScriptControl.lblValue
| private

System.Windows.Forms.TextBox IG.Forms.ScalarFunctionScriptControl.txtParameterNames
| private

System.Windows.Forms.Label IG.Forms.ScalarFunctionScriptControl.lblParameterNames
| private

System.Windows.Forms.CheckBox IG.Forms.ScalarFunctionScriptControl.chkGradients
| private

System.Windows.Forms.Button IG.Forms.ScalarFunctionScriptControl.btnValueCalculator
| private

System.Windows.Forms.Button IG.Forms.ScalarFunctionScriptControl.btnCreateFunction
| private

System.Windows.Forms.TextBox IG.Forms.ScalarFunctionScriptControl.txtGradients
| private

System.Windows.Forms.Label IG.Forms.ScalarFunctionScriptControl.label1
| private

System.Windows.Forms.TextBox IG.Forms.ScalarFunctionScriptControl.txtFunctionSignature
| private

System.Windows.Forms.Button IG.Forms.ScalarFunctionScriptControl.btnSummary
| private

## Property Documentation

ScalarFunctionLoader IG.Forms.ScalarFunctionScriptControl.FunctionLoader
| get protected set

Scalar function loader that is responsible for creation of scalar function objects from data.

LoadableScalarFunctionBase IG.Forms.ScalarFunctionScriptControl.Function
| get

bool IG.Forms.ScalarFunctionScriptControl.IsLoaderConsistent
| get protected set

string IG.Forms.ScalarFunctionScriptControl.FunctionName
| get set

int IG.Forms.ScalarFunctionScriptControl.Dimension
| get set

Gets or sets function dimension.

string [] IG.Forms.ScalarFunctionScriptControl.ParameterNames
| get set

Names of function parameters.

string IG.Forms.ScalarFunctionScriptControl.ValueDefinition
| get set

String that defines function value.

bool IG.Forms.ScalarFunctionScriptControl.IsGradientDefined
| get set

string [] IG.Forms.ScalarFunctionScriptControl.GradientDefinitions
| get set

String that defines function value.

The documentation for this class was generated from the following files:

- igforms/Numeric/Functions/ScalarFunctionScriptControl.cs
- igforms/Numeric/Functions/ScalarFunctionScriptControl.Designer.cs